import br.ufpe.cin.miniJava.gui.*;

public class JanelaPrincipal extends Window{

	private PainelCor pc;
	private PainelTextfield pt;
	private MenuBar barra;
	private Menu menu;
	private MenuItem menuTextfield;
	private MenuItem menuCor;
	
	public JanelaPrincipal(){
		super("Janela Principal");
		
		pc = new PainelCor();
		pc.setPosition(0,20);
		pc.setVisible(false);
		
		pt = new PainelTextfield();
		pt.setPosition(0,20);
		pt.setVisible(false);
		
		this.include(pc);
		this.include(pt);
		
		barra = new MenuBar();	
		barra.setSize(300,20);
		menu = new Menu("Painis");
		menuTextfield = new MenuItem("Painel Textfield");
		menuCor = new MenuItem("Painel Cor");
		this.include(barra);
		barra.include(menu);
		menu.include(menuTextfield);
		menu.include(menuCor);
		this.setVisible(true);
	}
	
	public void clickEvent(Component e){
		if(e == menuTextfield){			
			pc.setVisible(false);
			pt.setVisible(true);
			this.setSize(pt.getWidth(), pt.getHeight());
		}else if(e == menuCor){
			pc.setVisible(true);
			pt.setVisible(false);
			this.setSize(pc.getWidth(), pc.getHeight());
		}
	}
	
	public static void main(String[] args) {		
		JanelaPrincipal p = new JanelaPrincipal();		
	}

}
