import com.sun.org.apache.bcel.internal.generic.ACONST_NULL;

import br.ufpe.cin.miniJava.gui.ComboBox;
import br.ufpe.cin.miniJava.gui.Component;
import br.ufpe.cin.miniJava.gui.Label;
import br.ufpe.cin.miniJava.gui.Panel;
import br.ufpe.cin.miniJava.gui.Window;
import br.ufpe.cin.miniJava.gui.listener.ClickListener;
import br.ufpe.cin.miniJava.gui.listener.ItemStateListener;

public class PainelCombo extends Panel{

	private ComboBox combo;
	private Label label1;
	private Label label2;
	
	public PainelCombo(){
		super();
		this.setSize(200,200);
		combo = new ComboBox();
		combo.addItem("AAA");
		combo.addItem("BBB");
		combo.addItem("CCC");
		combo.setPosition(30,30);
		combo.setSize(80,30);
		combo.addClickListener(new ComboClickAdapter(this));
		combo.addItemStateListener(new ComboStateAdapter(this));
		
		label1 = new Label("");
		label1.setPosition(30,90);
		
		label2 = new Label("");
		label2.setPosition(30,120);
		
		this.add(combo);
		this.add(label1);
		this.add(label2);
	}
	
	public void acaoState(){
		label1.setText("state");
	}
	
	public void acaoClick(){
		label2.setText("click");
	}
	
	public static void main(String[] args) {
		Window w = new Window("Teste combo");
		w.setContentPane(new PainelCombo());
		w.setVisible(true);
	}

}

class ComboClickAdapter implements ClickListener{
	private PainelCombo cmb;
	
	public ComboClickAdapter(PainelCombo p){
		cmb = p;
	}
	
	public void clickEvent(){
		
	}

	public void clickEvent(Component e){
		cmb.acaoClick();
	}
}

class ComboStateAdapter implements ItemStateListener{
	private PainelCombo cmb;
	
	public ComboStateAdapter(PainelCombo p){
		cmb = p;
	}
	
	public void stateEvent(Component e){
		cmb.acaoState();
	}
	public void stateEvent(){
		
	}
}
